Bug 3092 - rc.system runs fsck on mounted filesystems.
rc.system runs fsck on mounted filesystems.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.0
All Linux
low Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-27 10:48 EDT by matthew
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-03 18:36:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matthew 1999-05-27 10:48:30 EDT
This be a case of "doctor, it hurs when i do this? but...

IF you run /etc/rc.d/rc.system when the system is already
booted it runs fsck over the filesystems from /etc/fstab
without warning even if they are arleady mounted.

It correctly detects that / is mounted and prompts before
checking this but before doing the remaining filesystems it
blanks out /etc/mtab.  This means that it no longer knows
about the pre-existing mounts.

I'd imagine this could also have a detrimental effect apon
anything mounted by an initrd boot or similar but I've not
acutally tried this.

Is there some reason for blanking out /etc/mtab I'm not
aware of?  /proc/mounts has the information we want so why
not use it to rebuild a complete mtab file instead of just /
and /proc.

M.

------- Email Received From  matthew@pasdex.com.au 05/27/99 11:11 -------
Comment 1 David Lawrence 1999-06-03 18:36:59 EDT
I hope you mean the rc.sysinit script and not rc.system which does not
exist at least not in a stock install of Red Hat. Most of the damaging
commands or devices that rc.sysinit run can only be run by root
anyway. Normal users would not be able to do any damage and would only
see alot of error messages. Now root on the other hand could run the
script by accident but I can think of a lot of other ways root could
damage the system also. I will that the rc.sysinit script should not
have world execute permissions but it will have to stay executable and
available by root for the boot up to work correctly.

Note You need to log in before you can comment on or make changes to this bug.